CGAL 6.2 - Triangulated Surface Mesh Simplification: CGAL::Surface_mesh_simplification::Count_stop_predicate< TriangleMesh > Class Template Reference

CGAL 6.2 - Triangulated Surface Mesh Simplification

Loading...
Searching...
No Matches
List of all members
CGAL::Surface_mesh_simplification::Count_stop_predicate< TriangleMesh > Class Template Reference
Reference Manual

`#include <CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_stop_predicate.h>`

## Definition

template<typename TriangleMesh>
class CGAL::Surface_mesh_simplification::Count_stop_predicate< TriangleMesh >

Deprecated:
  This class is deprecated since CGAL 5.6, the class `Edge_count_stop_predicate` should be used instead.

The class `Count_stop_predicate` is a model for the `StopPredicate` concept, which returns `true` when the number of current edges drops below a certain threshold.

Template Parameters

  TriangleMesh | is the type of surface mesh being simplified, and must be a model of the `MutableFaceGraph` and `HalfedgeListGraph` concepts.

Is model of
  `StopPredicate`

See also
  `CGAL::Surface_mesh_simplification::Edge_count_stop_predicate<TriangleMesh>`
  `CGAL::Surface_mesh_simplification::Face_count_stop_predicate<TriangleMesh>`

## Creation
| Count_stop_predicate (const Edge_profile::edges_size_type threshold)
| Initializes the predicate establishing the `threshold` value.

## Operations
bool | operator() (const Edge_profile::FT &current_cost, const Edge_profile &edge_profile, const Edge_profile::edges_size_type initial_edge_count, const Edge_profile::edges_size_type current_edge_count) const
| Returns `(current_edge_count < threshold)`.

## Member Function Documentation

## ◆ operator()()

template<typename TriangleMesh >

bool CGAL::Surface_mesh_simplification::Count_stop_predicate< TriangleMesh >::operator() | ( | const Edge_profile::FT & | current_cost,
|  | const Edge_profile & | edge_profile,
|  | const Edge_profile::edges_size_type | initial_edge_count,
|  | const Edge_profile::edges_size_type | current_edge_count
| ) |  | const

Returns `(current_edge_count < threshold)`.

All other parameters are ignored (but exist since this is a generic policy).